# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - Configuration

    Note that there are more config options than you'll find in
    the version of this file that is installed by default; see
    the module MoinMoin.config for a full list of names and their
    default values.

    Also, the URL http://purl.net/wiki/moin/HelpOnConfiguration has
    a list of config options.

    @copyright: 2000-2003 by Jrgen Hermann <jh@web.de>
    @license: GNU GPL, see COPYING for details.
"""
# Comment this out to completely ignore /etc/moin/farm_config.py
from MoinMoin.farm_config import *

# basic options (you normally need to change these)
sitename = 'JonesWiki'
interwikiname = 'Jones'
data_dir = '/home/jonas/webdata/wiki.jones.dk/'
url_prefix = '/wiki'
# MoinMoinMannen is here: http://helgo.net/fika/MoinMoinMannen
logo_url = '/moinmoinnaked.gif'

# encoding and WikiName char sets 
# (change only for outside America or Western Europe, 
# or if that is not the case in /etc/moin/farm_config.py) 
#charset = 'iso-8859-1' 
#upperletters = "A-Z" 
#lowerletters = "0-9a-z" 

acl_enabled = 1
acl_rights_before = "WikiAdministrationMedlemmer:read,write,delete,revert,admin"
acl_rights_default = "ForfatterGruppe:read,write,delete,revert Known:read,write All:read"
allowed_actions = ['DeletePage', 'RenamePage', 'AttachFile']

#theme_default = 'viewonly'

# I am danish (= from Denmark, not some cake!)
default_lang = 'da' 
page_template_regex = '[' + lowerletters + ']Skabelon$'
page_category_regex = '^Kategori[' + upperletters + ']'
page_form_regex = '[' + lowerletters + ']Formular$'
page_group_regex = '[' + lowerletters + '](Gruppe|Medlemmer)$'

# values that depend on above or farm_config configuration settings 
logo_string = '<img src="%s" border="0" alt="%s">' % (logo_url, sitename)
html_head = """  
<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=%s">  
""" % (charset,)

# Make sure security is tightened
umask = 0750
